Encrypt API for Loading Wallet

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used to encrypt the payload for the Load Wallet API.

Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "messageCode": "1080",
  "clientTxnId": "Reload_20240404101201",
  "requestDateTime": "20240408101000",
  "customerId": "ajaytestsandbox2",
  "accountNumber": "606030003007700",
  "transactionAmount": 525,
  "sender": "AMAZON",
  "loadCurrency": "INR",
  "sourceType": 1,
  "sourceAccount": "27389282",
  "originalClientTxnId": "GOUTTH14000013",
  "fundFlowType": "I",
  "implId": "I|80020",
  "implType": "P2P_A2W_I_N",
  "refundFileId": "sreekumar.csv",
  "fee": 525
}
'
Sample response

Success scenario

{
  "token": "2cXWgW9s/hkJRCOYCCDt0zUnbTcwYMQ6K36S1hHjpArH1OiotY8HxQ/1Kq36yM7eXdh1mRr+lux1B7lMUJfMkELJvNEPLz5V65av70LHyKKrtRpYcKAyWQIKTYcwD+kbVLTtFqrOf71w6prlo+zuHwKdwjM7oxpD1x7hd3U6BYyqHlX9ZJ2WoF8DLHe52vorqreQtpybM1bHg0MssRBkQ+7+7tFcOizWV3e2MvLb/DKqcvojwNkzmBqPT06YKb8859fHpJUCt/Cz0AYDYwfb2QoUgnFSJwkjZBloBAhNeoJSR0CRiobwx/cvVSnTCc/fkouHp6HK+yRgFOQSV9gS84IkAsezvvPuihpr1eqRutJD9jOyH03XcxpejOBg66sIx8DfqrtIiH01VP3N9HBxVrE9vl6ui9944+KzP7kenqlaUfcGRUiyTovGTbQm67CDcRFwRFCKiixFj936mB3kJrywzYbwmDeVO4yudCYFBWnf/qTtbhzAWaRBTwHBb1pvqMv93K1CWk84ZXoJot03c8P1SeBxCOYRbj27FJNQ30dKvjkqUmQh3O6nM5eX76yJ"
}

Failure scenario

  • API key is not provided or invalid API key in the x-api-key parameter.
{
  "message": "No API key found in request"
}

Request parameters

📘

Reference:

For IMPL types, refer to IMPL IDs and Types.

Body Params
const
enum
required

This parameter must include the API Unique Identifier. Here, it is 1080 for Load API.

Allowed:
string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

string
required

This parameter must include an unique customer identifier. If the value is not posted, WIBMO will generate a numeric ID for the same.

string
required

This field must contain the specific sub-wallet identifier.

integer
required

This field must contain the amount for which card has been loaded. It is in implied decimals by two digits. For example, INR 5.25 is 525 in implied decimal.

string
required

This field must contain the wallet name or the account holder name from where the fund is coming to the Prepaid system.

string

This field must contain the Currency according to the ISO-4217 country currency code format. For example, 356 for INR and 840 for USD

integer

This field must contain the source type and it can be any of the following: 0 - Wallet 1 - Account

string

This field must contain the source account is the account from which funding is happening.

string
required

This field must contain the unique ID generated by the client for each transaction. In case of refund we should send it.

string
required

This field must contain the used to store fundFlowType for Load/Unload requests.

string
required

Refer to the IMPL ID table in this section for the applicable type of load.

string
required

Refer to the IMPL type table in this section for the applicable type of load.

string

This field must contain the used to store the refund file name, if applicable.

integer

This field must contain the fee collected for the transaction in implied decimals. It is in implied decimals by two digits. For example, INR 5.25 is 525 in implied decimal.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json